1. camlspotter
  2. my-externals

Commits

camlspotter  committed 3996b32

moved from my priv

  • Participants
  • Branches default

Comments (0)

Files changed (14)

File .hgignore

View file
  • Ignore whitespace
+\.config
+.*\.cm[a-z]+$
+.*~$
+\.(sp[io]t|annot|o|cm[a-z]+|orig|omc|lock)$
+\.omakedb$
+_build/
+pycaml.*
+installed/.*
+OMyExternal
+OMyMakefile
+OMyTar

File OMakefile

View file
  • Ignore whitespace
+# Those must be symlinked from omy/
+include omy/OMyMakefile
+include omy/OMyExternal
+include omy/OMyTar
+include omy/OMyApt
+
+WithOMyApt=true
+
+RequireAptPackages(emacs23 mercurial)
+
+# Remove findlib, since we build it in the directory.
+OCAML_PREINSTALLED_PACKS[]= bigarray camlp4 dbm dynlink graphics num num-top stdlib str threads unix
+# add llvm
+OCAML_PREINSTALLED_PACKS[] += llvm
+
+Subdirs()

File OMakeroot

View file
  • Ignore whitespace
+########################################################################
+# Permission is hereby granted, free of charge, to any person
+# obtaining a copy of this file, to deal in the File without
+# restriction, including without limitation the rights to use,
+# copy, modify, merge, publish, distribute, sublicense, and/or
+# sell copies of the File, and to permit persons to whom the
+# File is furnished to do so, subject to the following condition:
+#
+# THE FILE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
+# EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
+# OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
+# IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
+# DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR
+# OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE FILE OR
+# THE USE OR OTHER DEALINGS IN THE FILE.
+
+########################################################################
+# The standard OMakeroot file.
+# You will not normally need to modify this file.
+# By default, your changes should be placed in the
+# OMakefile in this directory.
+#
+# If you decide to modify this file, note that it uses exactly
+# the same syntax as the OMakefile.
+#
+
+#
+# Include the standard installed configuration files.
+# Any of these can be deleted if you are not using them,
+# but you probably want to keep the Common file.
+#
+open build/C
+open build/OCaml
+open build/LaTeX
+
+#
+# The command-line variables are defined *after* the
+# standard configuration has been loaded.
+#
+DefineCommandVars()
+
+#
+# Include the OMakefile in this directory.
+#
+.SUBDIRS: .

File external/OMakefile

View file
  • Ignore whitespace
+Subdirs_except(bin-prot llvm)

File external/bin-prot/OMakefile

View file
  • Ignore whitespace
+PACK=bin_prot
+URL=http://hg.ocaml.info/release/bin-prot/archive/release-1.2.23.tar.bz2
+# EXTRACT_DIR=bin-prot-release-1.2.23
+REQUIRED_PACKS=$(INSTALLED)/type-conv
+INSTALL=(cd $(EXTRACT_DIR); make all install)
+OCamlExternalPack(bin_prot)

File external/camlidl/OMakefile

View file
  • Ignore whitespace
+URL=http://caml.inria.fr/pub/old_caml_site/distrib/bazar-ocaml/camlidl-1.05.tar.gz
+REQUIRED_PACKS=
+CONFIGURE=(cp ../../Makefile.config camlidl-1.05/config/Makefile)
+INSTALL=(cd camlidl-1.05; make; make install)
+OBJS=$(PREFIX)/bin/camlidl
+
+OCamlExternal(camlidl)

File external/findlib/OMakefile

View file
  • Ignore whitespace
+RequireAptPackages(m4 libncurses5-dev)
+URL=http://download.camlcity.org/download/findlib-1.2.1.tar.gz
+REQUIRED_PACKS=
+CONFIGURE=(cd findlib-1.2.1; ./configure -bindir $(PREFIX)/bin -mandir $(PREFIX)/man -sitelib $(PREFIX)/lib/ocaml/site-lib -config $(PREFIX)/etc/findlib.conf)
+INSTALL=(cd findlib-1.2.1; make; make install)
+OBJS=$(PREFIX)/bin/ocamlfind
+
+OCamlExternal(findlib)

File external/lablgtk2/OMakefile

View file
  • Ignore whitespace
+RequireAptPackages(libgtk2.0-dev)
+URL=http://www.math.nagoya-u.ac.jp/~garrigue/soft/olabl/dist/lablgtk-2.14.2.tar.gz
+EXTRACT_DIR=lablgtk-2.14.2
+REQUIRED_PACKS=
+INSTALL=(cd $(EXTRACT_DIR); ./configure --prefix=$(PREFIX) && make all opt install && ocamlfind install lablgtk2 META)
+OCamlExternalPack(lablgtk2)

File external/llvm/CONFIGURE.sh

View file
  • Ignore whitespace
+#!/bin/sh
+
+# OCaml related things are installed to a tmp dir
+OCAML_TMP_INSTALL=`pwd`/../ocaml-libdir
+./configure --prefix=$PREFIX --enable-shared --with-ocaml-libdir=$OCAML_TMP_INSTALL

File external/llvm/INSTALL.sh

View file
  • Ignore whitespace
+#!/bin/sh
+
+set -e
+
+# OCaml related things are installed to a tmp dir
+OCAML_TMP_INSTALL=`pwd`/../ocaml-libdir
+
+if [ ! -e $OCAML_TMP_INSTALL ]; then
+    mkdir $OCAML_TMP_INSTALL
+fi
+
+# Build
+OCAML_ANNOT=1 make
+make install
+
+# libLLVM*.a C++ libs are copied to $PREFIX/lib. We do not need it in OCaml installation
+find $OCAML_TMP_INSTALL -type l | xargs rm
+
+# Copy ocamlspot spit file
+cp `find bindings/ocaml/ -iname *.spit` $OCAML_TMP_INSTALL
+
+# Build META file
+FLAGS=`llvm-config --libs --ldflags`
+OCAML_FLAGS=`for i in $FLAGS; do echo -n "-cclib $i "; done` 
+
+cat << EOF > $OCAML_TMP_INSTALL/META
+requires = ""
+version = "llvm 2.8"
+description = "LLVM 2.8 OCaml binding"
+browse_interfaces = " Llvm Llvm_analysis Llvm_bitreader Llvm_bitwriter Llvm_executionengine Llvm_scalar_opts Llvm_target "
+archive(byte) = "llvm.cma llvm_analysis.cma llvm_executionengine.cma llvm_bitreader.cma llvm_bitwriter.cma llvm_scalar_opts.cma llvm_target.cma"
+archive(native) = "llvm.cmxa llvm_analysis.cmxa llvm_executionengine.cmxa llvm_bitreader.cmxa llvm_bitwriter.cmxa llvm_scalar_opts.cmxa llvm_target.cmxa"
+linkopts = "-cc g++ $OCAML_FLAGS"
+EOF
+
+# Install the all files
+ocamlfind remove llvm
+ocamlfind install llvm $OCAML_TMP_INSTALL/*

File external/llvm/OMakefile

View file
  • Ignore whitespace
+URL=http://llvm.org/releases/2.8/llvm-2.8.tgz
+REQUIRED_PACKS=
+CONFIGURE=(cd llvm-2.8; ../../../CONFIGURE.sh)
+INSTALL=(cd llvm-2.8; ../../../INSTALL.sh)
+
+OCamlExternalPack(llvm)

File external/pcre-ocaml/OMakefile

View file
  • Ignore whitespace
+RequireAptPackages(libpcre3-dev)
+URL=http://hg.ocaml.info/release/pcre-ocaml/archive/release-6.1.0.tar.bz2
+EXTRACT_DIR=pcre-ocaml-release-6.1.0
+REQUIRED_PACKS=
+INSTALL=(cd $(EXTRACT_DIR); make all install)
+OCamlExternalPack(pcre)

File external/sexplib/OMakefile

View file
  • Ignore whitespace
+URL=http://hg.ocaml.info/release/sexplib310/archive/release-5.1.1.tar.bz2
+EXTRACT_DIR=sexplib310-release-5.1.1
+REQUIRED_PACKS=$(Installed type-conv)
+INSTALL=(cd $(EXTRACT_DIR); make all install)
+OCamlExternalPack(sexplib)

File external/type-conv/OMakefile

View file
  • Ignore whitespace
+URL=http://hg.ocaml.info/release/type-conv/archive/release-1.7.1.tar.bz2
+REQUIRED_PACKS=
+INSTALL=(cd type-conv-release-1.7.1; make all install)
+OCamlExternalPack(type-conv)